<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>

        <link rel="SHORTCUT ICON" href="../../../../../img/clover.ico" />

    <style type="text/css" media="screen">
        @import url('../../../../../style.css');
        @import url('../../../../../roundedcorners.css');
        @import url('../../../../../tree.css');
            </style>
    
    <script src="../../../../../sorttable.js" type="text/javascript"></script>
    <script src="../../../../../overlibmws.js" type="text/javascript"><!-- overLIB (c) Erik Bosrup --></script>
    <script src="../../../../../overlibmws_shadow.js" type="text/javascript" ></script>
    <script src="../../../../../clover.js" type="text/javascript"></script>
    <script src="../../../../../cloud.js" type="text/javascript"></script>
    <script src="../../../../../help.js" type="text/javascript"></script>
  <title>HttpClient 4.2.3</title>
</head>
<body onload="setBrowserTitle('HttpClient 4.2.3: org.apache.http.client.protocol.testProxyAuthOverPlainConnection');">

<table cellspacing="0" cellpadding="2" class="barGraph">
<tbody>
  <tr>
    <td colspan="6" >
        <div class="roundedLarge">
            <b class="ctop"><b class="cb1"></b><b class="cb2 testHeader"></b><b class="cb3 testHeader"></b><b class="cb4 testHeader"></b></b>
            <div class="roundedContent">
                <table width="100%" cellspacing="0"><tr class="reportHeader ">
                    <td valign="top" class="titleText testHeader">Clover Test Report - <a
                            href="http://hc.apache.org/httpcomponents-client" target="_top">HttpClient 4.2.3</a><div class="timestamp"><b>Coverage timestamp:</b>&nbsp;Tue Jan 15 2013 10:19:50 CET
                    </div>
                                                <div class="navBar">
                            <span><a href="../../../../../test-pkg-summary.html">Overview</a></span>&nbsp;&nbsp;&nbsp;
                            <span><a href="test-pkg-summary.html">Package</a></span>&nbsp;&nbsp;&nbsp;
                            <span><a href="test-TestRequestProxyAuthentication.html">File</a></span>&nbsp;&nbsp;&nbsp;
                            <span class="navBarCurrent">Test</span>
                        </div>
                                                
                        <div class="navBarLink">
                            &nbsp;&nbsp;&nbsp;
                            <a href="../../../../../index.html" target="_top">FRAMES</a>&nbsp;&nbsp;
                            <a href="TestRequestProxyAuthentication_testProxyAuthOverPlainConnection_1p7.html" target="_top">NO FRAMES</a>&nbsp;&nbsp;
                            <a><label onclick="toggleHelp(this);" class="nonHelpItem">SHOW HELP</label></a>&nbsp;&nbsp;                            
                        </div>
                    </td>
                </tr></table>
            </div>
            <b class="cbottom"><b class="cb4 testHeader"></b><b class="cb3 testHeader"></b><b class="cb2 testHeader"></b><b class="cb1"></b></b>
        </div>

    </td>
  </tr>




<tr><td class="hbreak" colspan="6">&nbsp;</td></tr>

<tr>
    <td class="graphHeaderLeft titleText testHeader">Test</td>
        <td class="graphHeader headerTitle testHeader"><label onkeyup="return help_total_unique_coverage;">Unique Coverage</label></td>
        <td class="graphHeader headerTitle testHeader"><label onkeyup="return help_test_status;">Status</label></td>
    <td class="graphHeader headerTitle testHeader"><label onkeyup="return help_test_time;">Start time</label></td>
    <td class="graphHeader headerTitle testHeader"><label onkeyup="return help_test_time;">Time (seconds)</label></td>
    <td class="graphHeader headerTitle testHeader"><label onkeyup="return help_test_message;">Message</label></td>
</tr>
<tr>
    <td class="graphItem alignTop titleText">
        <a  href="../../../../../org/apache/http/client/protocol/TestRequestProxyAuthentication.html?line=69#src-69" >testProxyAuthOverPlainConnection</a>
    </td>
        <td class="graphPercent alignTop">
        0%
    </td>
        <td class="graphPercent alignTop">
                          <span class="sortValue">1</span>
    <span class="testResultSuccess">PASS</span>
              </td>
    <td class="graphPercent alignTop">
        15 Jan 10:19:50
    </td>
    <td class="graphPercent alignTop">
        0.0    </td>
    <td class="graphItemRight alignTop">
        <div class="titleText"></div>
        <div class="errorMessage"></div>
    </td>
</tr>
<tr><td class="hbreak" colspan="6">&nbsp;</td></tr>
</tbody>

<tbody>
    <tr>
        <td class="graphHeaderLeft titleText  sortable testHeader" style="white-space:nowrap;" onclick="ts_resortTable(this, 'alpha', 0);return false;"><label onkeyup="return help_test_target_class;">Target Class</label> &nbsp;</td>
                <td class="graphHeader  sortable testHeader" onclick="ts_resortTable(this, 'number', 1);return false;"><label onkeyup="return help_unique_coverage ;">Unique</label> &nbsp;</td>
                <td class="graphHeader  sortable testHeader" colspan="4" onclick="ts_resortTable(this, 'number', 2);return false;"><label onkeyup="return help_test_contribution;">Coverage contributed by</label> <span class="titleText">testProxyAuthOverPlainConnection</span>.</td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.auth.BasicScheme</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/impl/auth/BasicScheme.html?id=2203#BasicScheme"             title="BasicScheme" name="sl-60">org.apache.http.impl.auth.BasicScheme</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.6730769</span>
            67.3%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="32.7% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="67.3% Covered" class="barPositive contribBarPositive" style="width: 67.3%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.client.protocol.RequestProxyAuthentication</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/client/protocol/RequestProxyAuthentication.html?id=2203#RequestProxyAuthentication"             title="RequestProxyAuthentication" name="sl-49">org.apache.http.client.protocol.RequestProxyAuthentication</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.5675676</span>
            56.8%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="43.2% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="56.8% Covered" class="barPositive contribBarPositive" style="width: 56.8%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.auth.AuthSchemeBase</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/impl/auth/AuthSchemeBase.html?id=2203#AuthSchemeBase"             title="AuthSchemeBase" name="sl-57">org.apache.http.impl.auth.AuthSchemeBase</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.5625</span>
            56.2%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="43.8% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="56.2% Covered" class="barPositive contribBarPositive" style="width: 56.2%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.auth.RFC2617Scheme</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/impl/auth/RFC2617Scheme.html?id=2203#RFC2617Scheme"             title="RFC2617Scheme" name="sl-51">org.apache.http.impl.auth.RFC2617Scheme</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.46153846</span>
            46.2%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="53.8% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="46.2% Covered" class="barPositive contribBarPositive" style="width: 46.2%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.auth.params.AuthParams</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/auth/params/AuthParams.html?id=2203#AuthParams"             title="AuthParams" name="sl-44">org.apache.http.auth.params.AuthParams</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.42105263</span>
            42.1%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="57.9% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="42.1% Covered" class="barPositive contribBarPositive" style="width: 42.1%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.client.protocol.RequestAuthenticationBase</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/client/protocol/RequestAuthenticationBase.html?id=2203#RequestAuthenticationBase"             title="RequestAuthenticationBase" name="sl-47">org.apache.http.client.protocol.RequestAuthenticationBase</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.25757575</span>
            25.8%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="74.2% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="25.8% Covered" class="barPositive contribBarPositive" style="width: 25.8%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.auth.AuthState</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/auth/AuthState.html?id=2203#AuthState"             title="AuthState" name="sl-39">org.apache.http.auth.AuthState</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.2361111</span>
            23.6%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="76.4% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="23.6% Covered" class="barPositive contribBarPositive" style="width: 23.6%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.auth.UsernamePasswordCredentials</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/auth/UsernamePasswordCredentials.html?id=2203#UsernamePasswordCredentials"             title="UsernamePasswordCredentials" name="sl-43">org.apache.http.auth.UsernamePasswordCredentials</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.2173913</span>
            21.7%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="78.3% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="21.7% Covered" class="barPositive contribBarPositive" style="width: 21.7%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.auth.BasicUserPrincipal</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/auth/BasicUserPrincipal.html?id=2203#BasicUserPrincipal"             title="BasicUserPrincipal" name="sl-42">org.apache.http.auth.BasicUserPrincipal</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.21212122</span>
            21.2%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="78.8% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="21.2% Covered" class="barPositive contribBarPositive" style="width: 21.2%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.conn.routing.HttpRoute</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/conn/routing/HttpRoute.html?id=2203#HttpRoute"             title="HttpRoute" name="sl-45">org.apache.http.conn.routing.HttpRoute</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.16447368</span>
            16.4%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="83.6% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="16.4% Covered" class="barPositive contribBarPositive" style="width: 16.4%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.conn.HttpPoolEntry</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/impl/conn/HttpPoolEntry.html?id=2203#HttpPoolEntry"             title="HttpPoolEntry" name="sl-42">org.apache.http.impl.conn.HttpPoolEntry</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.16</span>
            16%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="84% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="16% Covered" class="barPositive contribBarPositive" style="width: 16%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.conn.PoolingClientConnectionManager</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/impl/conn/PoolingClientConnectionManager.html?id=2203#PoolingClientConnectionManager"             title="PoolingClientConnectionManager" name="sl-71">org.apache.http.impl.conn.PoolingClientConnectionManager</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.051136363</span>
            5.1%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="94.9% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="5.1% Covered" class="barPositive contribBarPositive" style="width: 5.1%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.conn.DefaultClientConnection</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/impl/conn/DefaultClientConnection.html?id=2203#DefaultClientConnection"             title="DefaultClientConnection" name="sl-72">org.apache.http.impl.conn.DefaultClientConnection</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.040983606</span>
            4.1%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="95.9% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="4.1% Covered" class="barPositive contribBarPositive" style="width: 4.1%"></div>
    </div>
</div>        </td>
    </tr>
 </tbody>
<tbody>
<tr><td class="hbreak" colspan="6">&nbsp;</td></tr>
<tr><td class="footer" colspan="6">
<table>
<tr>
 <td><a target="_new" href="http://www.atlassian.com/software/clover"><img alt="Clover" src="../../../../../img/logo.gif" style="border:none"/></a></td><td style="white-space:nowrap;"><i>Report generated by </i>Clover <a target="_new" href="http://www.atlassian.com/software/clover">Code Coverage</a> v2.6.3<i><br/>Tue Jan 15 2013 10:20:27 CET</i>.</td>
<td>&nbsp;</td><td style="BORDER-LEFT: #9c9c9c 1px solid;">&nbsp;</td><td>Clover: Open Source License registered to Apache. </td>
</tr>
</table>
</td>
</tr></tbody>
</table>
</body>
</html>
